part of masamune;

class LocalModuleAdapter extends ModuleAdapter<
    LocalDynamicDocumentModel,
    LocalDynamicCollectionModel,
    ModelProvider<LocalDynamicDocumentModel>,
    ModelProvider<LocalDynamicCollectionModel>> {
  @override
  T collectionProvider<T extends ModelProvider<LocalDynamicCollectionModel>>(
          String path) =>
      localCollectionProvider(path) as T;

  @override
  T documentProvider<T extends ModelProvider<LocalDynamicDocumentModel>>(
          String path) =>
      localDocumentProvider(path) as T;

  @override
  final bool enabledAuth = false;

  @override
  Future<void> registerInEmailAndPassword(String email, String password) {
    throw UnimplementedError("The authentication function is not implemented.");
  }

  @override
  Future<void> sendPasswordResetEmail(String email) {
    throw UnimplementedError("The authentication function is not implemented.");
  }

  @override
  Future<void> signInAnonymously() {
    throw UnimplementedError("The authentication function is not implemented.");
  }

  @override
  Future<void> signInEmailAndPassword(String email, String password) {
    throw UnimplementedError("The authentication function is not implemented.");
  }

  @override
  Future<void> signOut() {
    throw UnimplementedError("The authentication function is not implemented.");
  }

  @override
  Future<void> tryRestoreAuth() {
    throw UnimplementedError("The authentication function is not implemented.");
  }
}
